### Virtual Method

# Gio ListModel get_item

since: 2.44

#### Declaration [src]

    GObject*
    get_item (
      GListModel* list,
      guint position
    )

#### Description [src]

Get the item at `position`. If `position` is greater than the number of items in `list`, `NULL` is returned.

`NULL` is never returned for an index that is smaller than the length of the list. See g_list_model_get_n_items().

The same `GObject` instance may not appear more than once in a `GListModel`.

Available since: 2.44

#### Parameters

`position`

  Type: `guint`

  The position of the item to fetch.

#### Return value

Type: `GObject`

The object at `position`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.